View Issue Details

IDProjectCategoryView StatusLast Update
0002505SOGoWeb Calendarpublic2014-01-31 15:06
ReporterChristian Mack Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1.1 
Target Version2.2.0Fixed in Version2.2.0 
Summary0002505: Event "Title" containing equal sign shown empty
Description

When you create or edit an event and use in the "Title" field an equal sign "=", then after "Save and Close" it is displayed as "(Public Event)".
Reopening it shows the "Title" field empty.

If you set "Title" field again with an equal sign and then set it to one without, you will get the newly set one and all after the previous used "Title" part after the equal sign.

Steps To Reproduce
  • Switch to "Calendar"
  • Create a new event with "New Event".
  • Set "Title" to "A = B".
  • Click on "Save and Close".

You expect an event with "Title" "A = B".
But you get an event with "(Public Event)".

  • Reopen the event with a double click on it.

You see that "Title" is empty.

Additional Information

If you set a "Title" with an equal sign again.
Then set one without an equal sign, then you get a "Title" set to the title without the equal sign, an semicolon and all after the equal sign of the last title with equal sign.

E.g:

  • Set "A = B"
  • Set "A =C"
  • Set "A B"
    You get "Title" with "A B;C".

And you never can delete the ";C" part ever again!

TagsNo tags attached.

Relationships

related to 0002543 closedludovic Using double equal or double minus truncates event name 

Activities

ludovic

ludovic

2014-01-27 14:22

administrator   ~0006435

Last edited: 2014-01-30 09:11

View 4 revisions

Try this patch:

--- a/SOPE/NGCards/NGCardsSaxHandler.m
+++ b/SOPE/NGCards/NGCardsSaxHandler.m
@@ -35,6 +35,8 @@
@"http://www.ietf.org/internet-drafts/draft-dawson-vcard-xml-dtd-03.txt"
#endif

+static NSArray *privilegedTagNames = nil;
+
@implementation NGCardsSaxHandler

  • (id) init
    @@ -42,6 +44,12 @@
    if ((self = [super init]))
    topGroupClass = nil;
  • if (!privilegedTagNames)
  • {
  • privilegedTagNames = [NSArray arrayWithObjects: @"ADR", @"N", @"RRULE", nil];
  • RETAIN(privilegedTagNames);
  • }
  • return self;
    }

@@ -211,7 +219,11 @@
free (content);
content = NULL;
// NSLog (@"content: '%@'", s);

  • contentValues = [s vCardSubvalues];
  • if ([privilegedTagNames containsObject: [currentElement tag]])
  • contentValues = [s vCardSubvalues];
  • else
  • contentValues = [NSMutableDictionary dictionaryWithObject: [NSMutableArray arrayWithObject: [NSMutableArray arrayWithObject: s]]
  • forKey: @""];
    }
    else
    contentValues = nil;
ludovic

ludovic

2014-01-31 15:06

administrator   ~0006464

https://github.com/inverse-inc/sogo/commit/bcb0764b1901f8ea9ee799a80594ae554e80e827

Issue History

Date Modified Username Field Change
2013-11-21 07:44 Christian Mack New Issue
2013-12-12 11:10 Christian Mack Relationship added related to 0002543
2014-01-21 11:52 ludovic Target Version => 2.2.0
2014-01-27 14:22 ludovic Note Added: 0006435
2014-01-27 14:29 ludovic Note Edited: 0006435 View Revisions
2014-01-27 14:34 ludovic Note Edited: 0006435 View Revisions
2014-01-30 09:11 ludovic Note Edited: 0006435 View Revisions
2014-01-31 15:06 ludovic Note Added: 0006464
2014-01-31 15:06 ludovic Status new => closed
2014-01-31 15:06 ludovic Assigned To => ludovic
2014-01-31 15:06 ludovic Resolution open => fixed
2014-01-31 15:06 ludovic Fixed in Version => 2.2.0